(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36037,        915]
NotebookOptionsPosition[     34462,        857]
NotebookOutlinePosition[     34863,        874]
CellTagsIndexPosition[     34820,        871]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mf", "=", "MatrixForm"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "1.691"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", "3.733"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"originalEqn", "=", 
    RowBox[{
     RowBox[{"a", "*", "x"}], "\[Equal]", "b"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"note", ":", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"rhs", " ", 
        RowBox[{"(", 
         RowBox[{"i", ".", "e", ".", " ", "b"}], ")"}], " ", 
        RowBox[{"doesn", "'"}], "t", " ", "influe", " ", "the", " ", 
        "convergence"}], "..."}], " ", "in", " ", "engineering", " ", "we", 
      " ", "can", " ", "understand", " ", "rhs", " ", "to", " ", "be", " ", 
      "an", " ", "INPUT", " ", "and", " ", "in", " ", "case", " ", "of", " ", 
      "LINEAR", " ", "systems", " ", "facts", " ", "like", " ", 
      "\"\<it conveges or not\>\"", " ", 
      RowBox[{"don", "'"}], "t", " ", "depend", " ", "on", " ", "inputs", " ", 
      RowBox[{"(", 
       RowBox[{
       "in", " ", "case", " ", "of", " ", "ODEs", " ", "initial", " ", 
        "values", " ", "are", " ", "inputs", " ", "as", " ", "well"}], 
       ")"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"depend", " ", "only", " ", "on", " ", "the", " ", "SYSTEM"}], 
      "..."}], " ", "and", " ", "in", " ", "this", " ", "maybe", " ", "the", 
     " ", "simpliest", " ", "example", " ", "the", " ", "system", " ", "has", 
     " ", "only", " ", "one", " ", "parameter", " ", "a"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{"1", "-", "a"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xExact", "=", 
   FractionBox["b", "a"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<xExact= \>\"", ",", "xExact"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<condition of convergence, i.e. Abs[q=1-a]<1: \>\"", ",", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"q", "=", 
      RowBox[{"1", "-", "a"}]}], "]"}], "<", "1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.778317754078125*^9, 3.778317814984375*^9}, {
  3.778317881203125*^9, 3.778318212640625*^9}, {3.77831830896875*^9, 
  3.778318328921875*^9}, {3.778321595625*^9, 3.77832160065625*^9}, {
  3.778323447328125*^9, 3.7783234646875*^9}, {3.77832514778125*^9, 
  3.778325150046875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"xExact= \"\>", "\[InvisibleSpace]", "2.2075694855115313`"}],
  SequenceForm["xExact= ", 2.2075694855115313`],
  Editable->False]], "Print",
 CellChangeTimes->{3.778317995203125*^9, 3.778318329625*^9, 
  3.778320756984375*^9, 3.77832160596875*^9, 3.77832245696875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"condition of convergence, i.e. Abs[q=1-a]<1: \"\>", 
   "\[InvisibleSpace]", "True"}],
  SequenceForm["condition of convergence, i.e. Abs[q=1-a]<1: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.778317995203125*^9, 3.778318329625*^9, 
  3.778320756984375*^9, 3.77832160596875*^9, 3.778322456984375*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "we", " ", "can", " ", "see", " ", "that", " ", "the", " ", "iterative", 
     " ", "process", " ", "converges", " ", "to", " ", "the", " ", "exact", 
     " ", "root"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "Mathematica", " ", "syntaxis", " ", "using", " ", "integer", " ", 
     "parameter"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", "x", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x0", "=", "10."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "0", "]"}], "=", "x0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "i_", "]"}], ":=", 
     RowBox[{"b", "+", 
      RowBox[{"q", "*", 
       RowBox[{"x", "[", 
        RowBox[{"i", "-", "1"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"x", "[", "i", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "40"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.77831823990625*^9, 3.77831830653125*^9}, {
   3.778318407890625*^9, 3.778318503359375*^9}, {3.778318542078125*^9, 
   3.778318716296875*^9}, 3.778318973625*^9, 3.778323482265625*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.`", ",", 
   RowBox[{"-", "3.177`"}], ",", "5.928307`", ",", 
   RowBox[{"-", "0.3634601370000001`"}], ",", "3.984150954667`", ",", 
   "0.9799516903251027`", ",", "3.055853381985354`", ",", 
   "1.6214053130481205`", ",", "2.6126089286837484`", ",", 
   "1.9276872302795298`", ",", "2.4009681238768446`", ",", 
   "2.0739310264011004`", ",", "2.2999136607568396`", ",", 
   "2.143759660417024`", ",", "2.2516620746518363`", ",", 
   "2.177101506415581`", ",", "2.2286228590668333`", ",", 
   "2.193021604384818`", ",", "2.2176220713700907`", ",", 
   "2.2006231486832672`", ",", "2.2123694042598623`", ",", 
   "2.2042527416564353`", ",", "2.209861355515403`", ",", 
   "2.2059858033388564`", ",", "2.20866380989285`", ",", 
   "2.2068133073640404`", ",", "2.208092004611448`", ",", 
   "2.2072084248134898`", ",", "2.2078189784538784`", ",", 
   "2.20739708588837`", ",", "2.2076886136511362`", ",", 
   "2.2074871679670647`", ",", "2.2076263669347584`", ",", 
   "2.2075301804480816`", ",", "2.2075966453103755`", ",", 
   "2.2075507180905305`", ",", "2.2075824537994433`", ",", 
   "2.2075605244245846`", ",", "2.207575677622612`", ",", 
   "2.207565206762775`", ",", "2.2075724421269225`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.77831850421875*^9, {3.778318579921875*^9, 3.778318597109375*^9}, {
   3.778318646484375*^9, 3.778318673578125*^9}, 3.778320757046875*^9, 
   3.778321606*^9, 3.778322457*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "we", " ", "can", " ", "see", " ", "that", " ", "the", " ", "iterative", 
     " ", "process", " ", "converges", " ", "to", " ", "the", " ", "exact", 
     " ", "root"}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "Mathemetica", " ", "syntaxis", " ", "using", " ", "nesting", " ", "of", 
     " ", "functions"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", "x", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x0", "=", "10."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
     RowBox[{"b", "+", 
      RowBox[{"q", "*", "xPrevious"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"NestList", "[", 
    RowBox[{"xNext", ",", "x0", ",", "40"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.778318748734375*^9, 3.77831883015625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.`", ",", 
   RowBox[{"-", "3.177`"}], ",", "5.928307`", ",", 
   RowBox[{"-", "0.3634601370000001`"}], ",", "3.984150954667`", ",", 
   "0.9799516903251027`", ",", "3.055853381985354`", ",", 
   "1.6214053130481205`", ",", "2.6126089286837484`", ",", 
   "1.9276872302795298`", ",", "2.4009681238768446`", ",", 
   "2.0739310264011004`", ",", "2.2999136607568396`", ",", 
   "2.143759660417024`", ",", "2.2516620746518363`", ",", 
   "2.177101506415581`", ",", "2.2286228590668333`", ",", 
   "2.193021604384818`", ",", "2.2176220713700907`", ",", 
   "2.2006231486832672`", ",", "2.2123694042598623`", ",", 
   "2.2042527416564353`", ",", "2.209861355515403`", ",", 
   "2.2059858033388564`", ",", "2.20866380989285`", ",", 
   "2.2068133073640404`", ",", "2.208092004611448`", ",", 
   "2.2072084248134898`", ",", "2.2078189784538784`", ",", 
   "2.20739708588837`", ",", "2.2076886136511362`", ",", 
   "2.2074871679670647`", ",", "2.2076263669347584`", ",", 
   "2.2075301804480816`", ",", "2.2075966453103755`", ",", 
   "2.2075507180905305`", ",", "2.2075824537994433`", ",", 
   "2.2075605244245846`", ",", "2.207575677622612`", ",", 
   "2.207565206762775`", ",", "2.2075724421269225`"}], "}"}]], "Output",
 CellChangeTimes->{3.778318799359375*^9, 3.778320757078125*^9, 
  3.778321606015625*^9, 3.778322457015625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"In", " ", "case", " ", "of", " ", 
     RowBox[{"Abs", "[", 
      RowBox[{"q", "=", 
       RowBox[{"1", "-", "a"}]}], "]"}]}], ">", 
    RowBox[{"1", " ", "the", " ", "iterative", " ", "process", " ", 
     RowBox[{"doesn", "'"}], "t", " ", "converge"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", "2.691"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", "3.733"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"originalEqn", "=", 
     RowBox[{
      RowBox[{"a", "*", "x"}], "\[Equal]", "b"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q", "=", 
     RowBox[{"1", "-", "a"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xExact", "=", 
     FractionBox["b", "a"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<condition of convergence, i.e. Abs[q=1-a]<1: \>\"", ",", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"q", "=", 
         RowBox[{"1", "-", "a"}]}], "]"}], "<", "1"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<xExact= \>\"", ",", "xExact"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ClearAll", "[", "x", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x0", "=", 
     RowBox[{"xExact", "+", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
     RowBox[{"b", "+", 
      RowBox[{"q", "*", "xPrevious"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"NestList", "[", 
    RowBox[{"xNext", ",", "x0", ",", "40"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.778319213796875*^9, 3.77831937140625*^9}, 
   3.778321235421875*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"condition of convergence, i.e. Abs[q=1-a]<1: \"\>", 
   "\[InvisibleSpace]", "False"}],
  SequenceForm["condition of convergence, i.e. Abs[q=1-a]<1: ", False],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7783192488125*^9, 3.77831925340625*^9}, {
   3.77831928809375*^9, 3.778319313015625*^9}, 3.778319372390625*^9, 
   3.77832075709375*^9, 3.77832160603125*^9, 3.778322457046875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"xExact= \"\>", "\[InvisibleSpace]", "1.3872166480862134`"}],
  SequenceForm["xExact= ", 1.3872166480862134`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7783192488125*^9, 3.77831925340625*^9}, {
   3.77831928809375*^9, 3.778319313015625*^9}, 3.778319372390625*^9, 
   3.77832075709375*^9, 3.77832160603125*^9, 3.7783224570625*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.3872176480862133`", ",", "1.3872149570862136`", ",", 
   "1.3872195075672131`", ",", "1.387211812703843`", ",", 
   "1.3872248247178018`", ",", "1.3872028214021972`", ",", 
   "1.3872400290088849`", ",", "1.3871771109459758`", ",", 
   "1.3872835053903554`", ",", "1.3871035923849093`", ",", 
   "1.3874078252771187`", ",", "1.3868933674563926`", ",", 
   "1.3877633156312403`", ",", "1.386292233267573`", ",", 
   "1.3887798335445347`", ",", "1.384573301476192`", ",", 
   "1.3916865472037596`", ",", "1.3796580486784427`", ",", 
   "1.399998239684754`", ",", "1.3656029766930815`", ",", 
   "1.4237653664119994`", ",", "1.3254127653973096`", ",", 
   "1.4917270137131498`", ",", "1.2104896198110642`", ",", 
   "1.6860620528994907`", ",", "0.8818690685469615`", ",", 
   "2.2417594050870884`", ",", 
   RowBox[{"-", "0.05781515400226578`"}], ",", "3.8307654254178316`", ",", 
   RowBox[{"-", "2.7448243343815526`"}], ",", "8.374497949439204`", ",", 
   RowBox[{"-", "10.428276032501692`"}], ",", "21.36721477096036`", ",", 
   RowBox[{"-", "32.398960177693965`"}], ",", "58.51964166048049`", ",", 
   RowBox[{"-", "95.22371404787249`"}], ",", "164.75630045495237`", ",", 
   RowBox[{"-", "274.86990406932443`"}], ",", "468.5380077812276`", ",", 
   RowBox[{"-", "788.5647711580558`"}], ",", "1337.1960280282722`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.778319288109375*^9, 3.778319313015625*^9}, 
   3.77831937240625*^9, 3.778320757109375*^9, 3.7783216060625*^9, 
   3.7783224570625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Of", " ", "course"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
              "we", " ", "can", " ", "transform", " ", "the", " ", "original",
                " ", "equation", " ", "into", " ", "a", " ", "form", " ", 
               "for", " ", "which", " ", "our", " ", "iterative", " ", 
               "process", " ", "converges"}], "..."}], " ", "but", " ", "is", 
             " ", "a", " ", "nice", " ", 
             RowBox[{"joke", ":", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "to", " ", "find", " ", "a", " ", "proper", " ", 
                   "tansformation", " ", "factor", " ", "for", " ", "lhs", 
                   " ", "and", " ", "rhs", " ", "we", " ", "need", " ", 
                   "DIVISION"}], "..."}], " ", "moreover", " ", "we", " ", 
                 "need", " ", "DIVISION", " ", 
                 StyleBox["twice",
                  FontSlant->"Italic"], " ", "and", " ", "our", " ", 
                 "motivation", " ", "had", " ", "been", " ", "to", " ", 
                 "avoid", " ", "DIVISION", " ", "in", " ", "the", " ", 
                 "process", " ", "of", " ", "the", " ", "solution", " ", "of",
                  " ", "the", " ", "original", " ", "equation"}], "..."}], 
               "\[IndentingNewLine]", "/", 
               RowBox[{"But", ":", " ", 
                RowBox[{
                "we", " ", "have", " ", "used", " ", "division", " ", 
                 "twice"}]}]}]}]}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
              "but", " ", "we", " ", "have", " ", "used", " ", "division", 
               " ", "by", " ", "an", " ", "INTEGER", " ", "number"}], "..."}],
              " ", "it", " ", "can", " ", "be", " ", "profitable", " ", "in", 
             " ", "the", " ", 
             RowBox[{"end", ":", "-"}]}]}], ")"}], "/", "\[IndentingNewLine]", 
          RowBox[{"Look", ":", " ", 
           RowBox[{
           "IAP", " ", "really", " ", "is", " ", "not", " ", "a", " ", 
            "course", " ", "on", " ", "Mathematics", " ", "and", " ", "it", 
            " ", "is", " ", "not", " ", "a", " ", "course", " ", "for", " ", 
            "Scientists"}]}]}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"really", ".", "\[IndentingNewLine]", "So"}], " ", "we", 
            " ", "can", " ", "play", " ", "with", " ", "computers", " ", 
            "and", " ", "solutions", " ", "and", " ", "we", " ", "can", " ", 
            "be", " ", "free", " ", "in", " ", "our", " ", "games"}], "..."}],
           " ", "and", " ", "one", " ", "of", " ", "our", " ", "game", " ", 
          "is", " ", "to", " ", "find", " ", 
          RowBox[{
           StyleBox["patterns",
            FontSlant->"Italic"], ".", " ", "There"}], " ", "are", " ", 
          "more", " ", "than", " ", "one", " ", "reason", " ", "why", " ", 
          "we", " ", "should", " ", "play", " ", "with", " ", 
          RowBox[{"patterns", ":", " ", 
           RowBox[{
            RowBox[{"1", "/", " ", "pattern"}], " ", "recognition", " ", "is",
             " ", "an", " ", "essential", " ", "part", " ", "of", " ", "not", 
            " ", "only", " ", 
            StyleBox["artifical",
             FontSlant->"Italic"], " ", "inteligence"}]}]}], ",", " ", 
         RowBox[{"but", " ", "of", " ", 
          StyleBox["intelligence",
           FontSlant->"Italic"], " ", "in", " ", 
          RowBox[{
           RowBox[{"general", ".", "\[IndentingNewLine]", "2"}], "/", " ", 
           "seaarching"}], " ", "for", " ", "patterns", " ", "is", " ", "an", 
          " ", "effective", " ", 
          StyleBox["gymm",
           FontSlant->"Italic"], 
          StyleBox[" ",
           FontSlant->"Italic"], 
          StyleBox["lessons",
           FontSlant->"Italic"], 
          StyleBox[" ",
           FontSlant->"Italic"], 
          StyleBox["for",
           FontSlant->"Italic"], 
          StyleBox[" ",
           FontSlant->"Italic"], 
          StyleBox["our",
           FontSlant->"Italic"], 
          StyleBox[" ",
           FontSlant->"Italic"], 
          StyleBox["brains",
           FontSlant->"Italic"], 
          StyleBox["\[IndentingNewLine]",
           FontSlant->"Italic"], 
          StyleBox[
           RowBox[{"3", "/", " ", "patterns"}],
           FontSlant->"Italic"], 
          StyleBox[
           RowBox[{
            StyleBox[" ",
             FontSlant->"Italic"], " "}]], "are", " ", "usefull", " ", 
          "objects", " ", "in", " ", "Wolfram", " ", "Mathematica"}], ",", 
         " ", 
         RowBox[{"SW", " ", "of", " ", "my", " ", 
          RowBox[{"heart", ":", "-"}]}]}], ")"}], "\[IndentingNewLine]", 
       RowBox[{"4", "/", " ", "There"}], " ", "are", " ", "many", " ", 
       "\"\<pseudo-rules\>\"", " ", "for", " ", 
       RowBox[{"Engineers", ".", " ", "\"\<Pseudo\>\""}], " ", "because", " ", 
       RowBox[{"haven", "'"}], "t", " ", "been", " ", "proved"}], ",", " ", 
      RowBox[{
      "but", " ", "\"\<rules\>\"", " ", "because", " ", "are", " ", "usefull",
        " ", "in", " ", "the", " ", 
       RowBox[{"praxis", ".", " ", "Of"}], " ", "course", " ", "we", " ", 
       "have", " ", "to", " ", "remember"}], ",", " ", 
      RowBox[{"that", " ", "they", " ", "are", " ", 
       RowBox[{"\"\<pseudo\>\"", ".", " ", "The"}], " ", "prove", " ", "that",
        " ", "\"\<There must exist at least one function without Lebesque's \
integral value\>\"", " ", "is", " ", "a", " ", "nice", " ", "topic", " ", 
       "for", " ", "conversation"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
        "but", " ", "for", " ", "Engineers", " ", "it", " ", "can", " ", "be",
          " ", "maybe"}], "..."}], " ", "a", " ", 
       RowBox[{
        RowBox[{"hobby", ".", "\[IndentingNewLine]", "5"}], "/", "Next"}], 
       " ", "more", " ", "than", " ", "10", " ", "good", " ", "reasons", " ", 
       "why", " ", "understanding", " ", "understanding", " ", "patterns", 
       " ", "is", " ", 
       RowBox[{"profitable", ":", "-"}]}]}], ")"}], ")"}], "   ", 
   "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aOrig", "=", "2.691"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bOrig", "=", "3.733"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"originalEqn", "=", 
     RowBox[{
      RowBox[{"aOrig", "*", "x"}], "\[Equal]", "bOrig"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"qOrig", "=", 
     RowBox[{"1", "-", "a"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xExact", "=", 
     FractionBox["bOrig", "aOrig"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<xExact= \>\"", ",", "xExact"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<condition of convergence of the original eqquation, i.e. \
Abs[q=1-a]<1: \>\"", ",", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"qOig", "=", 
         RowBox[{"1", "-", "aOrig"}]}], "]"}], "<", "1"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"factor", "=", 
     RowBox[{"Round", "[", "aOrig", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<original eqn: \>\"", ",", "originalEqn", ",", 
      "\"\< has been transformed into: \>\"", ",", 
      RowBox[{
       RowBox[{
        FractionBox["aOrig", "factor"], "*", "x"}], "\[Equal]", 
       FractionBox["bOrig", "factor"]}], ",", 
      "\"\< using facor = Round[a]= \>\"", ",", "factor"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"we", " ", "need", " ", "DIVISION", " ", 
     RowBox[{"twice", ":", " ", 
      RowBox[{"for", " ", "a", " ", "and", " ", "for", " ", "b"}]}]}], "*)"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     FractionBox["aOrig", "factor"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", 
     FractionBox["bOrig", "factor"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q", "=", 
     RowBox[{"1", "-", "a"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<condition of convergence of transformed eqn, i.e. Abs[q=1-a]<1: \
\>\"", ",", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"q", "=", 
         RowBox[{"1", "-", "a"}]}], "]"}], "<", "1"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ClearAll", "[", "x", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x0", "=", "10."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xNext", "[", "xPrevious_", "]"}], ":=", 
     RowBox[{"b", "+", 
      RowBox[{"q", "*", "xPrevious"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"NestList", "[", 
    RowBox[{"xNext", ",", "x0", ",", "40"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.778320787125*^9, 3.77832087621875*^9}, {
   3.778321124328125*^9, 3.77832112671875*^9}, {3.77832115921875*^9, 
   3.7783212535*^9}, {3.77832130690625*^9, 3.7783215855625*^9}, {
   3.778321617421875*^9, 3.778321680625*^9}, {3.778321715296875*^9, 
   3.77832223996875*^9}, {3.778322275625*^9, 3.7783224076875*^9}, {
   3.77832247346875*^9, 3.778322550453125*^9}, {3.778322964859375*^9, 
   3.778323049234375*^9}, 3.778323292640625*^9, {3.778323516078125*^9, 
   3.778323615875*^9}, {3.778323678984375*^9, 3.778323737578125*^9}, {
   3.77832377559375*^9, 3.778323801296875*^9}, {3.77832383721875*^9, 
   3.7783238681875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"xExact= \"\>", "\[InvisibleSpace]", "1.3872166480862134`"}],
  SequenceForm["xExact= ", 1.3872166480862134`],
  Editable->False]], "Print",
 CellChangeTimes->{3.778320847171875*^9, 3.77832121775*^9, 
  3.778321254453125*^9, 3.778321309171875*^9, 3.778321565484375*^9, 
  3.778321606078125*^9, 3.77832245709375*^9, 3.778323803984375*^9, 
  3.77832386884375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"condition of convergence of the original eqquation, i.e. \
Abs[q=1-a]<1: \"\>", "\[InvisibleSpace]", "False"}],
  SequenceForm[
  "condition of convergence of the original eqquation, i.e. Abs[q=1-a]<1: ", 
   False],
  Editable->False]], "Print",
 CellChangeTimes->{3.778320847171875*^9, 3.77832121775*^9, 
  3.778321254453125*^9, 3.778321309171875*^9, 3.778321565484375*^9, 
  3.778321606078125*^9, 3.77832245709375*^9, 3.778323803984375*^9, 
  3.778323868859375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"original eqn: \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"2.691`", " ", "x"}], "\[Equal]", "3.733`"}], 
   "\[InvisibleSpace]", "\<\" has been transformed into: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"0.8969999999999999`", " ", "x"}], "\[Equal]", 
    "1.2443333333333333`"}], 
   "\[InvisibleSpace]", "\<\" using facor = Round[a]= \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm[
  "original eqn: ", 2.691 $CellContext`x == 3.733, 
   " has been transformed into: ", 0.8969999999999999 $CellContext`x == 
   1.2443333333333333`, " using facor = Round[a]= ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.778320847171875*^9, 3.77832121775*^9, 
  3.778321254453125*^9, 3.778321309171875*^9, 3.778321565484375*^9, 
  3.778321606078125*^9, 3.77832245709375*^9, 3.778323803984375*^9, 
  3.778323868859375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"condition of convergence of transformed eqn, i.e. \
Abs[q=1-a]<1: \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "condition of convergence of transformed eqn, i.e. Abs[q=1-a]<1: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.778320847171875*^9, 3.77832121775*^9, 
  3.778321254453125*^9, 3.778321309171875*^9, 3.778321565484375*^9, 
  3.778321606078125*^9, 3.77832245709375*^9, 3.778323803984375*^9, 
  3.778323868875*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "10.`", ",", "2.274333333333334`", ",", "1.478589666666667`", ",", 
   "1.3966280690000001`", ",", "1.3881860244403335`", ",", 
   "1.3873164938506877`", ",", "1.3872269321999542`", ",", 
   "1.3872177073499288`", ",", "1.3872167571903762`", ",", 
   "1.3872166593239421`", ",", "1.3872166492436995`", ",", 
   "1.3872166482054344`", ",", "1.387216648098493`", ",", 
   "1.3872166480874781`", ",", "1.3872166480863437`", ",", 
   "1.387216648086227`", ",", "1.3872166480862147`", ",", 
   "1.3872166480862136`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`", ",", 
   "1.3872166480862134`", ",", "1.3872166480862134`"}], "}"}]], "Output",
 CellChangeTimes->{3.7783213091875*^9, 3.7783215655*^9, 3.77832160609375*^9, 
  3.778322457109375*^9, 3.77832380403125*^9, 3.778323868875*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Ok", ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"let", "'"}], "s", " ", "move", " ", "to", " ", "next", " ", 
      "task"}], "..."}], "\[IndentingNewLine]", 
    RowBox[{"Let", "'"}], "s", " ", "accept", " ", "as", " ", "a", " ", 
    "fact", " ", "that", " ", "we", " ", "can", " ", "solve", " ", 
    "ewuations", " ", "of", " ", "form", " ", 
    RowBox[{"\"\<a*x\[Equal]b\>\"", ".", "\[IndentingNewLine]", "We"}], " ", 
    "are", " ", "searching", " ", "for", " ", "x", " ", "value"}], ",", " ", 
   RowBox[{
   "it", " ", "means", " ", "x", " ", "valie", " ", "is", " ", "an", " ", 
    RowBox[{"output", ".", " ", "So"}]}], ",", " ", 
   RowBox[{"a", " ", "and", " ", "b", " ", "values", " ", "are", " ", 
    RowBox[{"inputs", ".", " ", "\[IndentingNewLine]", "Our"}], " ", "inputs",
     " ", "are", " ", "outputs", " ", "of", " ", "other", " ", "systems"}], 
   ",", " ", 
   RowBox[{
   "in", " ", "engineering", " ", "area", " ", "mainly", " ", "digital", " ", 
    "data", " ", "as", " ", "outputs", " ", "of", " ", "digital", " ", 
    "mearuring", " ", 
    RowBox[{
    "devices", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "Keeping"}],
     " ", "Newtonian", " ", 
    StyleBox["smooth",
     FontSlant->"Italic"], " ", "description", " ", "of", " ", "our", " ", 
    "technical", " ", "engineeing", " ", "problems"}], ",", " ", 
   RowBox[{
    RowBox[{"we", " ", "can", " ", "understand", " ", "that", " ", 
     StyleBox["ALL",
      FontSlant->"Italic"], 
     StyleBox[" ",
      FontSlant->"Italic"], 
     StyleBox["inputs",
      FontSlant->"Italic"], 
     StyleBox[" ",
      FontSlant->"Italic"], 
     StyleBox["are",
      FontSlant->"Italic"], 
     StyleBox[" ",
      FontSlant->"Italic"], 
     RowBox[{
      StyleBox["eroneous",
       FontSlant->"Italic"], ".", " ", "The"}], " ", "probability", " ", 
     "that", " ", "fo", " ", "example", " ", "current", " ", "is", " ", "a", 
     " ", "dic"}], "=", 
    RowBox[{"screte", " ", 
     RowBox[{"(", 
      RowBox[{"digital", " ", "representation"}], ")"}], " ", "value", " ", 
     "is", " ", "0.", " ", "\[IndentingNewLine]", "So"}]}], ",", " ", 
   RowBox[{"we", " ", "shoud", " ", "search", " ", 
    RowBox[{"(", 
     RowBox[{
     "wanting", " ", "pay", " ", "no", " ", "money", " ", "and", " ", "not", 
      " ", "to", " ", "be", " ", "in", " ", "prison"}], ")"}], " ", "for", 
    " ", "the", " ", "inecurracy", " ", "of", " ", "x", " ", "as", " ", "a", 
    " ", "function", " ", "of", " ", "inecuracies", " ", "of", " ", "a", " ", 
    "and", " ", "b"}]}], "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.77832286265625*^9, 3.778322947703125*^9}, {
  3.7783230746875*^9, 3.778323099890625*^9}, {3.778323153203125*^9, 
  3.778323233484375*^9}, {3.77832331446875*^9, 3.778323406875*^9}, {
  3.7783239813125*^9, 3.77832403125*^9}, {3.7783248524375*^9, 
  3.77832501165625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Brutal", " ", "force", " ", "solution"}], ",", " ", 
    RowBox[{
     RowBox[{"we", "'"}], "ll", " ", "use", " ", "Solve", " ", "command", " ",
      "or", " ", "division"}], ",", " ", 
    RowBox[{
    "now", " ", "we", " ", "want", " ", "to", " ", "show", " ", "other", " ", 
     "poblems", " ", "than", " ", "solution", " ", "of", " ", "an", " ", 
     "equation"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", "1.691"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", "3.733"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"originalEqn", "=", 
     RowBox[{
      RowBox[{"a", "*", "x"}], "\[Equal]", "b"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xExact", "=", 
     FractionBox["b", "a"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<xExact= \>\"", ",", "xExact"}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.778325018203125*^9, 3.7783251676875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"xExact= \"\>", "\[InvisibleSpace]", "2.2075694855115313`"}],
  SequenceForm["xExact= ", 2.2075694855115313`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.778325161984375*^9, 3.778325168296875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "now", " ", "we", " ", "involve", " ", "ineccuracies", " ", "of", " ", 
    StyleBox["a",
     FontSlant->"Italic"], " ", "and", " ", 
    StyleBox["b",
     FontSlant->"Italic"], " ", "into", " ", "the", " ", "game"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]aMax", "=", 
     RowBox[{"0.02", "*", "a"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]bMax", "=", 
     RowBox[{"0.02", "*", "b"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xab", "[", 
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_"}], "}"}], "]"}], ":=", 
     FractionBox["b", "a"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dataab", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}], "@", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", 
          RowBox[{"a", "-", "\[CapitalDelta]aMax"}], ",", 
          RowBox[{"a", "+", "\[CapitalDelta]aMax"}], ",", 
          "\[CapitalDelta]aMax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", 
          RowBox[{"b", "-", "\[CapitalDelta]bMax"}], ",", 
          RowBox[{"b", "+", "\[CapitalDelta]bMax"}], ",", 
          "\[CapitalDelta]bMax"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"solutions", "=", 
    RowBox[{"xab", "/@", "dataab"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"minx", ",", "maxx"}], "}"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Min", "[", "#", "]"}], ",", 
        RowBox[{"Max", "[", "#", "]"}]}], "}"}], "&"}], "@", 
     "solutions"}]}]}]}]], "Input",
 CellChangeTimes->{{3.778325213578125*^9, 3.778325590171875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.2075694855115313`", ",", "2.2526219239913585`", ",", 
   "2.2976743624711857`", ",", "2.1634180958013007`", ",", 
   "2.2075694855115313`", ",", "2.251720875221762`", ",", 
   "2.1209981331385306`", ",", "2.164283809325031`", ",", 
   "2.2075694855115318`"}], "}"}]], "Output",
 CellChangeTimes->{{3.778325433171875*^9, 3.77832543928125*^9}, {
  3.7783254703125*^9, 3.7783255264375*^9}, {3.778325564390625*^9, 
  3.778325590390625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2.1209981331385306`", ",", "2.2976743624711857`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.778325433171875*^9, 3.77832543928125*^9}, {
  3.7783254703125*^9, 3.7783255264375*^9}, {3.778325564390625*^9, 
  3.778325590390625*^9}}]
}, Open  ]]
},
WindowSize->{1131, 653},
WindowMargins->{{8, Automatic}, {Automatic, 4}},
ShowSelection->True,
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 411, 12, 136, "Input"],
Cell[CellGroupData[{
Cell[981, 36, 2412, 58, 427, "Input"],
Cell[CellGroupData[{
Cell[3418, 98, 316, 6, 35, "Print"],
Cell[3737, 106, 365, 7, 35, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4151, 119, 1258, 32, 223, "Input"],
Cell[5412, 153, 1455, 26, 160, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6904, 184, 907, 22, 194, "Input"],
Cell[7814, 208, 1368, 24, 160, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9219, 237, 1942, 54, 428, "Input"],
Cell[CellGroupData[{
Cell[11186, 295, 440, 8, 35, "Print"],
Cell[11629, 305, 388, 7, 35, "Print"]
}, Open  ]],
Cell[12032, 315, 1540, 27, 160, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13609, 347, 10020, 233, 1727, "Input"],
Cell[CellGroupData[{
Cell[23654, 584, 409, 8, 35, "Print"],
Cell[24066, 594, 517, 11, 35, "Print"],
Cell[24586, 607, 897, 20, 64, "Print"],
Cell[25486, 629, 494, 10, 35, "Print"]
}, Open  ]],
Cell[25995, 642, 1404, 24, 160, "Output"]
}, Open  ]],
Cell[27414, 669, 2960, 65, 397, "Input"],
Cell[CellGroupData[{
Cell[30399, 738, 1062, 28, 253, "Input"],
Cell[31464, 768, 254, 5, 35, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31755, 778, 1933, 56, 282, "Input"],
Cell[33691, 836, 481, 10, 47, "Output"],
Cell[34175, 848, 271, 6, 47, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
